export declare class DataStream {
    private readonly buffer;
    private cursor;
    constructor(buffer: Uint8Array);
    isEndOfStream(): boolean;
    readUint8(): number;
    readUint16(): number;
    readUint32(): number;
    readUint64(): bigint;
    readFloat32(): number;
    readFloat64(): number;
    readBytes(bytes: number): Uint8Array;
}
